roasOS
API referenceCatalog

Get one catalog model

One model from the catalog. A few model ids exist in several families (nano-banana-pro is an image, a scene, and an avatar model); read those as /v1/catalog/{family}/{model}.

GET
/v1/catalog/{model}

One model from the catalog. A few model ids exist in several families (nano-banana-pro is an image, a scene, and an avatar model); read those as /v1/catalog/{family}/{model}.

Authorization

bearerAuth
AuthorizationBearer <token>

API key authentication. Use your API key as the bearer token: Authorization: Bearer roasos_sk_...

In: header

Path Parameters

model*string

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/v1/catalog/string"
{  "data": {    "key": "string",    "id": "string",    "family": "string",    "endpoint": "string",    "modes": [      "string"    ],    "fields": {      "property1": {        "type": "string",        "enum": [          "string"        ],        "min": 0,        "max": 0,        "max_chars": 0,        "max_items": 0,        "required": true,        "default": "string",        "modes": [          "string"        ],        "mode_rules": {          "property1": {            "required": true,            "max": 0          },          "property2": {            "required": true,            "max": 0          }        },        "pinned": true      },      "property2": {        "type": "string",        "enum": [          "string"        ],        "min": 0,        "max": 0,        "max_chars": 0,        "max_items": 0,        "required": true,        "default": "string",        "modes": [          "string"        ],        "mode_rules": {          "property1": {            "required": true,            "max": 0          },          "property2": {            "required": true,            "max": 0          }        },        "pinned": true      }    },    "media": {      "property1": {        "max_items": 1,        "max_bytes": 1,        "content_types": [          "string"        ],        "min_seconds": 0,        "max_seconds": 0      },      "property2": {        "max_items": 1,        "max_bytes": 1,        "content_types": [          "string"        ],        "min_seconds": 0,        "max_seconds": 0      }    },    "result": {      "kind": "string",      "fields": {        "property1": {          "type": "string",          "enum": [            "string"          ],          "min": 0,          "max": 0,          "max_chars": 0,          "max_items": 0,          "required": true,          "default": "string",          "modes": [            "string"          ],          "mode_rules": {            "property1": {              "required": true,              "max": 0            },            "property2": {              "required": true,              "max": 0            }          },          "pinned": true        },        "property2": {          "type": "string",          "enum": [            "string"          ],          "min": 0,          "max": 0,          "max_chars": 0,          "max_items": 0,          "required": true,          "default": "string",          "modes": [            "string"          ],          "mode_rules": {            "property1": {              "required": true,              "max": 0            },            "property2": {              "required": true,              "max": 0            }          },          "pinned": true        }      }    },    "credits": {      "unit": "string",      "examples": {        "property1": 0,        "property2": 0      }    },    "provider_endpoint_ids": [      "string"    ],    "pricing_keys": [      "string"    ],    "provider_not_exposed": {      "property1": null,      "property2": null    },    "provider_pricing": {      "text": "string",      "source": "string"    },    "hidden": true,    "deprecated": {      "replacement": "string",      "note": "string"    },    "guide": {      "family": "string",      "best_for": "string",      "rules": [        "string"      ],      "example": "string"    },    "expected_generation_ms": {      "p50_ms": 1,      "p90_ms": 1,      "basis": "measured"    }  }}